Bug 1031568 - [abrt] initscripts-9.49.11-1.el7: getc: Process /usr/lib/udev/udev-kvm-check was killed by signal 11 (SIGSEGV)
[abrt] initscripts-9.49.11-1.el7: getc: Process /usr/lib/udev/udev-kvm-check ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: initscripts (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: initscripts Maintenance Team
Jan Ščotka
abrt_hash:299e562e5060e115bd1b3fd9378...
:
: 1033476 (view as bug list)
Depends On:
Blocks: 993266
  Show dependency treegraph
 
Reported: 2013-11-18 05:14 EST by Michal Domonkos
Modified: 2016-11-25 08:07 EST (History)
7 users (show)

See Also:
Fixed In Version: initscripts-9.49.12-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.11 KB, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: cgroup (163 bytes, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: core_backtrace (1.52 KB, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: dso_list (239 bytes, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: environ (175 bytes, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: maps (1.46 KB, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: open_fds (102 bytes, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
File: var_log_messages (5.01 KB, text/plain)
2013-11-18 05:14 EST, Michal Domonkos
no flags Details
patch (3.68 KB, patch)
2013-11-18 06:54 EST, Lukáš Nykrýn
no flags Details | Diff

  None (edit)
Description Michal Domonkos 2013-11-18 05:14:26 EST
Description of problem:
Just booted up.

Version-Release number of selected component:
initscripts-9.49.11-1.el7

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /lib/udev/udev-kvm-check 1 create
crash_function: getc
executable:     /usr/lib/udev/udev-kvm-check
kernel:         3.10.0-51.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 getc at /lib64/libc.so.6
 #1 get_threshold_from_file
 #2 get_threshold
Comment 1 Michal Domonkos 2013-11-18 05:14:32 EST
Created attachment 825479 [details]
File: backtrace
Comment 2 Michal Domonkos 2013-11-18 05:14:35 EST
Created attachment 825480 [details]
File: cgroup
Comment 3 Michal Domonkos 2013-11-18 05:14:37 EST
Created attachment 825481 [details]
File: core_backtrace
Comment 4 Michal Domonkos 2013-11-18 05:14:40 EST
Created attachment 825482 [details]
File: dso_list
Comment 5 Michal Domonkos 2013-11-18 05:14:42 EST
Created attachment 825483 [details]
File: environ
Comment 6 Michal Domonkos 2013-11-18 05:14:46 EST
Created attachment 825484 [details]
File: exploitable
Comment 7 Michal Domonkos 2013-11-18 05:14:49 EST
Created attachment 825485 [details]
File: limits
Comment 8 Michal Domonkos 2013-11-18 05:14:52 EST
Created attachment 825486 [details]
File: maps
Comment 9 Michal Domonkos 2013-11-18 05:14:54 EST
Created attachment 825487 [details]
File: open_fds
Comment 10 Michal Domonkos 2013-11-18 05:14:57 EST
Created attachment 825488 [details]
File: proc_pid_status
Comment 11 Michal Domonkos 2013-11-18 05:14:59 EST
Created attachment 825489 [details]
File: var_log_messages
Comment 13 Lukáš Nykrýn 2013-11-18 06:54:24 EST
Created attachment 825565 [details]
patch
Comment 14 Paolo Bonzini 2013-11-18 11:16:27 EST
Thanks, I had prepared a patch to check the result of fopen but yours is much better of course.
Comment 15 Thomas Cameron 2013-11-23 16:53:07 EST
Booted up the first time after installation and got this error.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /lib/udev/udev-kvm-check 1 create
crash_function: getc
executable:     /usr/lib/udev/udev-kvm-check
kernel:         3.10.0-53.el7.x86_64
package:        initscripts-9.49.11-1.el7
reason:         Process /usr/lib/udev/udev-kvm-check was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 16 Lukáš Nykrýn 2013-12-02 09:15:33 EST
*** Bug 1033476 has been marked as a duplicate of this bug. ***
Comment 17 Matěj Cepl 2013-12-03 05:48:26 EST
Perhaps starting the virtual machine is the culprit. Happens around the moment I do it every time.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /lib/udev/udev-kvm-check 0 terminate
crash_function: _IO_getc
executable:     /usr/lib/udev/udev-kvm-check
kernel:         3.10.0-55.el7.x86_64
package:        initscripts-9.49.11-1.el7
reason:         Process /usr/lib/udev/udev-kvm-check was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 18 Paolo Bonzini 2013-12-03 05:49:59 EST
It is, and the workaround is

# touch /etc/sysconfig/kvm

That said, the fix already exists (comment 13). I'm not sure why it's not been committed yet.
Comment 21 Ludek Smid 2014-06-13 07:32:24 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.